# Nerien's Ovale Scripts

## [9.1.11](https://github.com/ultijlam/nerien-ovale-scripts/tree/9.1.11) (2021-12-27)
[Full Changelog](https://github.com/ultijlam/nerien-ovale-scripts/compare/9.1.10...9.1.11) [Previous Releases](https://github.com/ultijlam/nerien-ovale-scripts/releases)

- fix(monk): split main rotation into ST and AOE rotations  
    The single-target and AoE rotations are effectively the same except  
    for different energy-spending fillers. Split them out so that in  
    AoE situations, Tiger Palm continues to be suggested for brew  
    cooldown reduction, whereas for single-target situations, we only  
    suggest Tiger Palm to avoid capping on energy.  
- fix(monk): pool energy for double Keg Smash  
    Pool energy for double Keg Smash if Weapons of Order is coming off  
    cooldown. We do this by slowly scaling up the perceived cost of Keg  
    Smash so that when Weapons of Order is off cooldown, it will equal  
    the cost of a double Keg Smash. This slowly pools the energy over  
    the entire cooldown period of Weapons of Order by slightly delaying  
    a energy-spending filler attack each time.  
- feat(monk): add helper text for some brewmaster actions  
    Add icon text for when Purifying Brew is suggested to prevent  
    capping charges, or when Tiger Palm is suggested to prevent capping  
    energy.  
- fix(monk): fix cooldown of brews with Light Brewing talent  
- fix(monk): delay suggesting Purifying Brew slightly  
    Purifying Brew is off-GCD, so delay suggesting Purifying Brew until  
    almost capped on charges so we bank one charge for slightly longer.  
- fix(monk): only suggest Weapons of Order if Keg Smash is recharging  
    Weapons of Order resets the cooldown of one charge of Keg Smash, so  
    only suggest it if Keg Smash won't gain a charge for some time.  
- fix(monk): suggest Invoke Niuzao more aggressively for brewmaster  
    Invoke Niuzao should be used in the opener for brewmaster monks  
    to reduce damage taken on a pull and for instant offense. It should  
    also be used whenever the pull should last at least 25 seconds  
    more, but that is difficult to gauge correctly, so only use that  
    condition for the primary target, otherwise suggest is always for  
    AoE and let the player decide to use that offensive CD or not.  
